--[[ script de gestion de la classe SpriteDragged --]]

.namespace Spritetext
--un sprite avec pour attribut du texte.


function OnEnable()
	self.Children[0].Text=tostring(self.texte)
	
	-- self.Image="media/graph/world/maxime/fondmot.png"
	-- self.Image[0]="media/graph/world/maxime/fondmotfaux.png"
end




-- on intercepte le click pour les objets cachés
function OnWbpMouseLDown(x,y)
	if self.CanClickOn() and bandelette.Enabled == true then
		OPLog.Log("on a intercepté le click sur "..self.Name.." !")
		if self.Name=="Draggedpaper" then
			Draggedpaper.Enabled=false
			Draggedpaper.Position_X=0
			Draggedpaper.Position_Y=0
			Cursor.Flags_Visible=true
		elseif self.cible==false then	
			Cursor.Flags_Visible=false
			Draggedpaper.Enabled=true 
			Draggedpaper.texte=tostring(self.texte)
		elseif self.cible==true and Draggedpaper.texte~=" " then		
			self.texte=Draggedpaper.texte
			Draggedpaper.texte=" "
			self.Children[0].Text=tostring(self.texte)
			self.Children[0].Enabled=true
			Draggedpaper.Enabled=false 
			Draggedpaper.Position_X=0
			Draggedpaper.Position_Y=0
		elseif self.cible==true and Draggedpaper.texte==" " then
			Draggedpaper.Enabled=true
			Draggedpaper.texte=self.texte
			Draggedpaper.Children[0].Text=tostring(Draggedpaper.texte)
			self.texte=" "
			self.Children[0].Text=tostring(self.texte)
			self.Children[0].Enabled=false
		end
		
		return true
	end
	return false
end



function SetCursor()
	if self.CanClickOn() then
		OPUnitFactory.GetUnit("Cursor","Cursor").ChangeCursorToGeneric()
		return true
	end
	return false
end


function CanClickOn()
	return self.Flags_Visible 
		and ( GameVariables.IsEqual("CurrentGamePhase", "SearchSite") or GameVariables.IsEqual('CurrentGamePhase','Closeup'))
end